//[datasource](../../../../../index.md)/[com.yandex.payment.sdk.datasource.payment.interfaces](../../../index.md)/[PaymentScreen](../../index.md)/[State](../index.md)/[Success](index.md)

# Success

[datasource]\
class [Success](index.md)(**pollingResult**: [PaymentPollingResult](../../../../../../core/core/com.yandex.payment.sdk.core.data/-payment-polling-result/index.md)) : [PaymentScreen.State](../index.md)

Успешная оплата.

## Constructors

| | |
|---|---|
| [Success](-success.md) | [datasource]<br>fun [Success](-success.md)(pollingResult: [PaymentPollingResult](../../../../../../core/core/com.yandex.payment.sdk.core.data/-payment-polling-result/index.md)) |

## Properties

| Name | Summary |
|---|---|
| [pollingResult](polling-result.md) | [datasource]<br>val [pollingResult](polling-result.md): [PaymentPollingResult](../../../../../../core/core/com.yandex.payment.sdk.core.data/-payment-polling-result/index.md)<br>статус поллинга. |
